Bug 831209 - Review Request: parboiled - Java/Scala library providing parsing of input text based on PEGs
Review Request: parboiled - Java/Scala library providing parsing of input tex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 831228
  Show dependency treegraph
 
Reported: 2012-06-12 09:44 EDT by gil cattaneo
Modified: 2014-09-03 09:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-06-12 09:44:45 EDT
Spec URL: http://gil.fedorapeople.org/parboiled.spec
SRPM URL: http://gil.fedorapeople.org/parboiled-1.0.2-1.fc16.src.rpm
Description: parboiled is a mixed Java/Scala library providing for lightweight and
easy-to-use, yet powerful and elegant parsing of arbitrary input text
based on Parsing expression grammars (PEGs). PEGs are an alternative to
context free grammars (CFGs) for formally specifying syntax, they
make a good replacement for regular expressions and generally have quite
a few advantages over the "traditional" way of building parsers via CFGs.
Fedora Account System Username: gil
Comment 1 Marek Goldmann 2012-07-16 10:41:41 EDT
I'll take it.
Comment 2 Marek Goldmann 2012-07-16 11:09:07 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

SPECS/parboiled.spec: W: invalid-url Source0: parboiled-1.0.2-src-git.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
parboiled.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
parboiled.src: W: invalid-url Source0: parboiled-1.0.2-src-git.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
parboiled.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : deed9de4d69d2fa7944a5f7f31f4ba8c
MD5SUM upstream package: deed9de4d69d2fa7944a5f7f31f4ba8c
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

https://koji.fedoraproject.org/koji/taskinfo?taskID=4243763

================
*** APPROVED ***
================

I'm approving this package, there is only a very small request to modify the instructions, see below. This can be done at the import time.

=== Final Notes ===
1. The source generation instructions are not valid. The tag used to create the checkout should be "1.0.2", not "release/1.0.2".
Comment 3 gil cattaneo 2012-07-16 11:41:05 EDT
New Package SCM Request
=======================
Package Name: parboiled
Short Description: Java/Scala library providing parsing of input text based on PEGs
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2012-07-16 13:08:31 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-16 13:55:43 EDT
parboiled-1.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/parboiled-1.0.2-1.fc17
Comment 6 Fedora Update System 2012-07-19 05:12:53 EDT
parboiled-1.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-07-26 18:34:57 EDT
parboiled-1.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Darryl L. Pierce 2014-09-03 08:56:19 EDT
Package Change Request
======================
Package Name: parboiled
New Branches: epel7
Owners: mcpierce
Comment 9 Gwyn Ciesla 2014-09-03 09:51:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.